import { defineConfig } from "astro/config";
import scope from "astro-scope";
import wasm from "vite-plugin-wasm";

import purgecss from "astro-purgecss";

export default defineConfig({
  integrations: [scope(), purgecss()],
  build: {
    inlineStylesheets: "never",
  },
  vite: {
    plugins: [wasm()],
    server: {
      hmr: false,
    },
  },
});
